Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.master
Class SystemDefinition

    java.lang.Object
      com.sun.mdm.index.master.SystemDefinition

All Implemented Interfaces:
  java.io.Serializable

public class SystemDefinition
extends java.lang.Object
implements java.io.Serializable

The SystemDefinition class represents the information about the external systems sharing data with the master index application. This information is stored in the sbyn_systems database table.

See Also:
  Serialized Form

Constructor Summary
`SystemDefinition()` Creates a new instance of the SystemDefinition class.

Method Summary
`java.util.Date` | `getCreateDate()` Retrieves the create date of the system record represented in a SystemDefinition object.
`java.lang.String` | `getCreateUser()` Retrieves the login ID of the user who created the system record represented in a SystemDefinition object.
`java.lang.String` | `getDescription()` Retrieves the system description from a SystemDefinition object.
`java.lang.String` | `getFormat()` Retrieves the format of the local IDs assigned by the system represented in a SystemDefinition object.
`int` | `getIdLength()` Retrieves the defined length of the local IDs assigned by the system represented in a SystemDefinition object.
`java.lang.String` | `getInputMask()` Retrieves the input mask defined for the local IDs assigned by the system represented in a SystemDefinition object.
`java.lang.String` | `getStatus()` Retrieves the system status from a SystemDefinition object.
`java.lang.String` | `getSystemCode()` Retrieves the system code from a SystemDefinition object.
`java.util.Date` | `getUpdateDate()` Retrieves the date the system record represented in a SystemDefinition object was last updated.
`java.lang.String` | `getUpdateUser()` Retrieves the login ID of the user who last updated the system record represented in a SystemDefinition object.
`java.lang.String` | `getValueMask()` Retrieves the value mask for the local IDs assigned by the system represented in a SystemDefinition object.
`void` | `setCreateDate(java.util.Date createDate)` Sets the create date for the system represented in a SystemDefinition object.
`void` | `setCreateUserId(java.lang.String createUserId)` Sets the create user ID for the system represented in a SystemDefinition object.
`void` | `setDescription(java.lang.String description)` Sets the description for the system represented in a SystemDefinition object.
`void` | `setFormat(java.lang.String format)` Sets the local ID format for the system represented in a SystemDefinition object.
`void` | `setIdLength(int length)` Sets the local ID length for the system represented in a SystemDefinition object.
`void` | `setInputMask(java.lang.String inputMask)` Sets the local ID input mask for the system represented in a SystemDefinition object.
`void` | `setStatus(java.lang.String status)` Sets the status of the system represented in a SystemDefinition object.
`void` | `setSystemCode(java.lang.String systemCode)` Sets the processing code for the system represented in a SystemDefinition object.
`void` | `setUpdateDate(java.util.Date updateDate)` Sets the update date for the system represented in a SystemDefinition object.
`void` | `setUpdateUserId(java.lang.String updateUserId)` Sets the login ID of the user who last updated the system record represented in a SystemDefinition object.
`void` | `setValueMask(java.lang.String valueMask)` Sets the local ID value mask for the system represented in a SystemDefinition object.
`java.lang.String` | `toString()` Retrieves a string representation of the fields in the SystemDefinition object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SystemDefinition

    public SystemDefinition()

  Creates a new instance of the SystemDefinition class.

  Parameters:
    None.

Method Detail

### getCreateDate

    public java.util.Date getCreateDate()

  Retrieves the create date of the system record represented in a SystemDefinition object.

  Parameters:
    None.

  Returns:
    `java.util.Date` - The create date of the system in the SystemDefinition object.
  Throws:
    None.

### getCreateUser

    public java.lang.String getCreateUser()

  Retrieves the login ID of the user who created the system record represented in a SystemDefinition object.

  Parameters:
    None.

  Returns:
    `String` - A user login ID.
  Throws:
    None.

### getDescription

    public java.lang.String getDescription()

  Retrieves the system description from a SystemDefinition object.

  Parameters:
    None.

  Returns:
    `String` - The description of the system represented by the SystemDefinition object.
  Throws:
    None.

### getFormat

    public java.lang.String getFormat()

  Retrieves the format of the local IDs assigned by the system represented in a SystemDefinition object.

  Parameters:
    None.

  Returns:
    `String` - The local ID format of the system in the SystemDefinition object.
  Throws:
    None.

### getIdLength

    public int getIdLength()

  Retrieves the defined length of the local IDs assigned by the system represented in a SystemDefinition object.

  Parameters:
    None.

  Returns:
    `int` - The local ID length defined for the system in the SystemDefinition object.
  Throws:
    None.

### getInputMask

    public java.lang.String getInputMask()

  Retrieves the input mask defined for the local IDs assigned by the system represented in a SystemDefinition object. The input mask is used by the Enterprise Data Manager to add punctuation to a displayed field.

  Parameters:
    None.

  Returns:
    `String` - The input mask of the local IDs assigned by the system in the SystemDefinition object.
  Throws:
    None.

### getStatus

    public java.lang.String getStatus()

  Retrieves the system status from a SystemDefinition object.

  Parameters:
    None.

  Returns:
    `String` - The status of the system represented by the SystemDefinition object.
  Throws:
    None.

### getSystemCode

    public java.lang.String getSystemCode()

  Retrieves the system code from a SystemDefinition object.

  Parameters:
    None.

  Returns:
    `String` - The processing code of the system represented by the SystemDefinition object.
  Throws:
    None.

### getUpdateDate

    public java.util.Date getUpdateDate()

  Retrieves the date the system record represented in a SystemDefinition object was last updated.

  Parameters:
    None.

  Returns:
    `java.util.Date` - The update date of the system in the SystemDefinition object.
  Throws:
    None.

### getUpdateUser

    public java.lang.String getUpdateUser()

  Retrieves the login ID of the user who last updated the system record represented in a SystemDefinition object.

  Parameters:
    None.

  Returns:
    `String` - A user login ID.
  Throws:
    None.

### getValueMask

    public java.lang.String getValueMask()

  Retrieves the value mask for the local IDs assigned by the system represented in a SystemDefinition object. The value mask is used to strip any punctuation added by the input mask before storing a value in the database.

  Parameters:
    None.

  Returns:
    `String` - The value mask of the local IDs assigned by the system in the SystemDefinition object.
  Throws:
    None.

### setCreateDate

    public void setCreateDate(java.util.Date createDate)

  Sets the create date for the system represented in a SystemDefinition object.

  Parameters:
    `createDate` - A date indicating when the system record was created.
  Returns:
    `void` - None.
  Throws:
    None.

### setCreateUserId

    public void setCreateUserId(java.lang.String createUserId)

  Sets the create user ID for the system represented in a SystemDefinition object.

  Parameters:
    `createUserId` - A user login ID.
  Returns:
    `void` - None.
  Throws:
    None.

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description for the system represented in a SystemDefinition object.

  Parameters:
    `description` - An string containing a description.
  Returns:
    `void` - None.
  Throws:
    None.

### setFormat

    public void setFormat(java.lang.String format)

  Sets the local ID format for the system represented in a SystemDefinition object.

  Parameters:
    `format` - A string indicating the format of the local IDs.
  Returns:
    `void` - None.
  Throws:
    None.

### setIdLength

    public void setIdLength(int length)

  Sets the local ID length for the system represented in a SystemDefinition object.

  Parameters:
    `length` - An integer indicating the length of the local IDs.
  Returns:
    `void` - None.
  Throws:
    None.

### setInputMask

    public void setInputMask(java.lang.String inputMask)

  Sets the local ID input mask for the system represented in a SystemDefinition object. The input mask is used by the Enterprise Data Manager to add punctuation to a field. For example, if users enter dates in the format MMDDYYYY, you can add an input mask to display the dates as MM/DD/YYYY. To define an input mask, enter a character type for each character in the field, and place any necessary punctuation between the character types. For example, the input mask for the above date format is DD/DD/DDDD. The following character types are allowed:
  - D - indicates a numeric character.
  - L - indicates an alphabetic character.
  - A - indicates an alphanumeric character.

  Parameters:
    `inputMask` - The input mask for the local IDs.
  Returns:
    `void` - None.
  Throws:
    None.

### setStatus

    public void setStatus(java.lang.String status)

  Sets the status of the system represented in a SystemDefinition object.

  Parameters:
    `status` - A string containing a status.
  Returns:
    `void` - None.
  Throws:
    None.

### setSystemCode

    public void setSystemCode(java.lang.String systemCode)

  Sets the processing code for the system represented in a SystemDefinition object.

  Parameters:
    `systemCode` - An string containing a system code.
  Returns:
    `void` - None.
  Throws:
    None.

### setUpdateDate

    public void setUpdateDate(java.util.Date updateDate)

  Sets the update date for the system represented in a SystemDefinition object.

  Parameters:
    `updateDate` - A date indicating when the system record was last updated.
  Returns:
    `void` - None.
  Throws:
    None.

### setUpdateUserId

    public void setUpdateUserId(java.lang.String updateUserId)

  Sets the login ID of the user who last updated the system record represented in a SystemDefinition object.

  Parameters:
    `updateUserId` - A user login ID.
  Returns:
    `void` - None.
  Throws:
    None.

### setValueMask

    public void setValueMask(java.lang.String valueMask)

  Sets the local ID value mask for the system represented in a SystemDefinition object. The value mask is used by the master index to strip any extra characters that were added by the input mask, ensuring that data is stored in the database in the correct format. To specify a value mask, enter the same value as is entered for the input mask, but type an "x" in place of each punctuation mark. For example, if an SSN field has an input mask of DDD-DD-DDDD, specify a value mask of DDDxDDxDDDD in order to strip the dashes before storing the SSN. A value mask is not required for date fields.

  Parameters:
    `valueMask` - The value mask for the local IDs.
  Returns:
    `void` - None.
  Throws:
    None.

### toString

    public java.lang.String toString()

  Retrieves a string representation of the fields in the SystemDefinition object.

  Parameters:
    None.

  Returns:
    `String` - The field values contained in the SystemDefinition object.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.